# Page Not Found

The URL `v/v5/reference-guide/relationships/create-a-smart-relationship` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Create a Smart relationship](https://docs.forestadmin.com/documentation/reference-guide/models/relationships/create-a-smart-relationship.md)
- [GetIdsFromRequest](https://docs.forestadmin.com/documentation/reference-guide/models/relationships/create-a-smart-relationship/getidsfromrequest.md)
- [Create a Smart Chart](https://docs.forestadmin.com/documentation/reference-guide/charts/create-a-smart-chart.md)
- [Smart hasMany relationship in mongoDB](https://docs.forestadmin.com/documentation/reference-guide/models/relationships/smart-relationship-examples/smart-hasmany-relationship-in-mongodb.md)
- [Create a custom moderation view](https://docs.forestadmin.com/documentation/reference-guide/smart-views/create-a-custom-moderation-view.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.forestadmin.com/documentation/reference-guide/models/relationships/create-a-smart-relationship.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.forestadmin.com/documentation/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.forestadmin.com/documentation/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/documentation/reference-guide/models/relationships/create-a-smart-relationship.md`).

You may also use `Accept: text/markdown` header for content negotiation.
